import ValidatorField from "./ValidatorField";
import ValidatorErrorList from "./ValidatorErrorList";
interface ValidatorRules {
    [key: string]: ValidatorField;
}
interface ValidatorInput {
    [key: string]: any;
}
interface ValidatorOutput {
    [key: string]: any;
}
export default class Validator {
    static get rule(): ValidatorField;
    static make(rules: ValidatorRules): Validator;
    protected rules: ValidatorRules;
    constructor(rules: ValidatorRules);
    protected each(fn: (rule: ValidatorField, name: string) => void): this;
    validate(data: ValidatorInput): ValidatorOutput;
    errNo(): this;
    setCustomErrors(errors: ValidatorErrorList): this;
}
export {};
