"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
//EXAMPLE 1
//Default use
let validator = index_1.Validator.make({
    name: index_1.Validator.rule.setRequired().isString().trim().length(1, 255),
    id: index_1.Validator.rule.setRequired().isInt().min(1),
    comment: index_1.Validator.rule.isString().trim(),
    count: index_1.Validator.rule.isInt().min(1).setDefault(1),
    reg: index_1.Validator.rule.setRequired().isString().trim().regex(/^[A-z]+$/),
    test: index_1.Validator.rule.isInt().in([1, 2, 3])
});
try {
    let data = {
        name: 'Name',
        id: 22,
        reg: 'Aaaa',
        test: 1
    };
    let result = validator.validate(data);
    console.log('Example 1 success:', result);
}
catch (e) {
    console.log('Example 1 error:', e);
}
//Simple validate rule
try {
    let value = 'Test ';
    let field = index_1.Validator.rule
        .isString()
        .try('Length must be > 2', (field) => {
        field.assert(v => v.length > 2) //Custom condition
            .custom(v => v + '--' + v); //Custom modificator
    }) //Custom error message for assert method
        .validate(value);
    console.log('Example 2 success:', field);
}
catch (e) {
    console.log('Example 2 error:', e);
}
//No errors mode
//Or u can use Validator.make({...}).errNo();
let value2 = 'Test';
let field2 = index_1.Validator.rule
    .isString()
    .length(1, 2)
    .errNo()
    .setDefault('No')
    .validate(value2);
console.log('Example 3 success:', field2);
